package com.hzu.bookingsystem.converter;

import java.lang.reflect.Field;
import java.lang.reflect.Modifier;
import java.util.Map;
import java.util.Objects;

public class Map2Object {
    /**
     * @param map
     * @param clazz
     * @return
     */
    public static Object map2Object(Map<String, Object> map, Class<?> clazz) {
        if (map == null) {
            return null;
        }
        Object ob = null;
        try {
            ob = clazz.newInstance();
            Field[] fis = ob.getClass().getDeclaredFields();
            for (Field fi : fis) {
                int mod = fi.getModifiers();
                if (Modifier.isStatic(mod) || Modifier.isFinal(mod)) {
                    continue;
                }
                fi.setAccessible(true);
                if (Objects.equals("entranceId", fi.getName())) {
                    String str = String.valueOf(map.get(fi.getName()));
                    fi.set(ob, Long.parseLong(str));
                } else {
                    fi.set(ob, map.get(fi.getName()));
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return ob;
    }
}