package com.hzu.bookingsystem.repository;


import com.hzu.bookingsystem.bean.UserBean;
import org.springframework.data.jpa.repository.JpaRepository;
/**
 * author 吴志岳
 */
public interface UserRepository extends JpaRepository<UserBean,String> {
    UserBean findByUId(Integer uId);

    void deleteByUId(Integer uId);

    UserBean findByUsernameAndPassword(String username, String password);

    UserBean findByUsername(String username);
}
