package com.hzu.bookingsystem.service;


import com.hzu.bookingsystem.bean.LabBean;

import java.util.List;
/**
 * author 莫家豪
 */
public interface LabService {

    /**
     * 创建实验室
     *
     * @param lab
     * @return
     */
    LabBean add(LabBean lab);

    /**
     * 通过lab_id删除实验室
     *
     * @param labId
     * @return
     */
    void deleteByLabId(Integer labId);

    /**
     * 修改实验室
     *
     * @param lab
     * @return
     */
    LabBean update(LabBean lab);

    // 查找所有用户
    List<LabBean> findAll();

    /**
     * 通过lab_id查找实验室
     *
     * @param labId
     * @return
     */
    LabBean findByLabId(Integer labId);

    /**
     * 通过name查找实验室
     *
     * @param name
     * @return
     */
    LabBean findByName(String name);

    /**
     * 通过position查找实验室
     *
     * @param position
     * @return
     */
    LabBean findByPosition(String position);

}