package com.hzu.bookingsystem.exception;

import com.hzu.bookingsystem.VO.ResultVO;
import com.hzu.bookingsystem.utils.ResultVOUtil;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
/**
 * author 吴志岳
 */
@ControllerAdvice
public class GlobalExceptionHandler {

    @ExceptionHandler(value = UserAuthorizeException.class)
    @ResponseBody
    public ResultVO handlerAuthorizeException(HttpServletRequest servletRequest,Exception e) {
        return ResultVOUtil.error(401,e.getMessage());
    }
}
