package com.hzu.bookingsystem.repository;



import com.hzu.bookingsystem.bean.UserCourseBean;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


public interface UserCourseRepository extends JpaRepository<UserCourseBean,String> {



    UserCourseBean findByUcId(Integer uc_id);


    UserCourseBean save(UserCourseBean uc_id) ;


    List<UserCourseBean> findAll() ;


    List<UserCourseBean> findByUIdAndYearAndSemester(Integer u_id,String year,Integer semester) ;





    void deleteByUcId(Integer uc_id);



}
