package com.hzu.bookingsystem.service;


import com.hzu.bookingsystem.bean.LabRecordBean;

import java.util.List;

public interface LabRecordService {


    /**
     * 新增申请记录
     * @param labrecord
     * @return
     */
    LabRecordBean add(LabRecordBean labrecord);

    /**
     * 查看所有申请记录
     * @return
     */
    List<LabRecordBean> findAll();

    /**
     * 根据状态查询申请记录
     * @param stauts
     * @return
     */
    List<LabRecordBean> findByStatus( Integer stauts );

    /**
     * 根据ID查询记录
     * @param lr_id
     * @return
     */
    LabRecordBean findById(Integer lr_id);

    /**
     * 修改申请记录
     * @param labrecord
     * @return
     */
    LabRecordBean update(LabRecordBean labrecord);

    /**
     * 根据Id查询申请记录
     * @param lr_id
     */
    void deleteById(Integer lr_id);









}
