package com.hzu.bookingsystem.service;


import com.hzu.bookingsystem.bean.UserCourseBean;

import java.util.List;

public interface UserCourseService {

    /**
     *新增课程记录
     * @param usercourse
     * @return
     */
    UserCourseBean add(UserCourseBean usercourse);

    /**
     * 查看所有课程列表
     * @return
     */
    List<UserCourseBean> findAll();

    /**
     * 根据教师id和学年，学期查询课程
     * @param u_id
     * @param year
     * @param semester
     * @return
     */
    List<UserCourseBean> findAllByUidAndYearAndSemester(Integer u_id,String year,Integer semester) ;

    /**
     * 根据课程I课程记录
     * @param uc_id
     * @return
     */
    UserCourseBean findById(Integer uc_id);

    /**
     * 修改课程记录
     * @param usercourse
     * @return
     */
    UserCourseBean update(UserCourseBean usercourse);

    /**
     * 通过i删除课程记录
     * @param uc_id
     */
    void deleteByUcId(Integer uc_id);




}
